#define _USE_MATH_DEFINES

#include <iostream>
#include <vector>
#include <cmath>
#include "Point.h"
/*	pi: 	M_PI
  	pi/2: M_PI_2
  	pi/4: M_PI_4
	pi/2: M_PI_2	
	1/pi: M_1_PI
*/

using namespace std;


polarPoint::polarPoint(double radius, double angle): 
	radius(radius), angle(angle){}

double polarPoint::getAngle(void)
{
	return ((180/M_PI)*angle);
}
double polarPoint::getRadius(void)
{
	return radius;
}
void polarPoint::setAngle(double angle)
{
	this->angle = angle;
}
void polarPoint::setRadius(double radius)
{
	this->radius = radius;
}

/*int main()
{
	polarPoint point1(1,0);
	cout << point1.getRadius() << endl;
	cout << point1.getAngle() << endl;
	point1.setAngle(M_PI);
	point1.setRadius(2);
	cout << point1.getRadius() << endl;
	cout << (180/M_PI)*point1.getAngle() << endl;
	return 0;
}*/
